<?php

class actionTopicClose extends cmsAction {

    public function run($id){
		
    	$user = cmsUser::getInstance();

    	$thread = $this->model->getForumThreadById($id);
    	if (!$thread) { cmsCore::error404(); }

    	$categories = $this->getForumCategoriesList();

    	$category = $this->model->getForumCategoryBySlug($categories[$thread['category_id']]['slug']);
    	if (!$category) { cmsCore::error404(); }

    	//Модератор?
    	$is_moderator = $this->isModerator($user->id, $category['moderators']);

    	if ($thread['user_id'] != $user->id && !$user->is_admin && !$is_moderator) { cmsCore::error404(); }

    	if (!$user->is_admin && !$is_moderator && $thread['is_closed']==2) { cmsCore::error404(); }

    	if ($thread['is_closed']) {
    		$item['is_closed'] = null;
    	} else {
    		if ($user->is_admin || $is_moderator) {
    			$item['is_closed'] = 2;
    		} else {
    			$item['is_closed'] = 1;
    		}
    	}

		$this->model->updateForumThread($id, $item);

		cmsUser::addSessionMessage( empty($item['is_closed']) ? LANG_TOPIC_THREAD_IS_OPEN : LANG_TOPIC_THREAD_IS_CLOSED, 'success' );

		$this->redirectToAction($thread['slug'].'.html');

    }

}
