<?php

class actionTopicPostDelete extends cmsAction {

    public function run($id){
		
    	$user = cmsUser::getInstance();

    	$thread = $this->model->getForumThreadById($id);

    	if (!$thread) { cmsCore::error404(); }

    	$category = $this->model->getForumCategory($thread['category_id']);
    	if (!$category) { cmsCore::error404(); }

    	//Модератор?
    	$is_moderator = $this->isModerator($user->id, $category['moderators']);

    	if($thread['user_id'] != $user->id && !$user->is_admin && $is_moderator) { cmsCore::error404(); }

		$this->model->resetFilters();
		
		$this->model->delete('topic_threads', $id);

		//Лента активности
		cmsCore::getController('activity')->deleteEntry('topic', "add.post", $id);

		//Рейтинг
		cmsCore::getModel('rating')->deleteVotes('topic', 'thread', $id);

		//Обновление кол-ва сообщений пользователя
		$this->model->updateUserPostCounter($thread['user_id']);

		//Обновление последнего сообщения в категории
		$this->model->updateLastMessageInCategory($thread['category_id']);

		//Обновляем id последнего сообщения в теме
		$this->model->updateLastMessageInThread($thread['thread_id']);

		//Обновляем кол-во сообщений в категории
		$this->model->updateForumPostCount($thread['category_id']);

		//Обновляем кол-во сообщений в теме
		$this->model->updateThreadPostCount($thread['thread_id']);
        
		cmsUser::addSessionMessage(LANG_TOPIC_POST_DELETED, 'success');

		$this->redirectBack();

    }

}
