<?php

class actionTopicThreadDelete extends cmsAction {

    public function run($id){
		
    	$user = cmsUser::getInstance();

    	$thread = $this->model->getForumThreadById($id);
    	if (!$thread) { cmsCore::error404(); }

    	$categories = $this->getForumCategoriesList();

    	$category = $this->model->getForumCategoryBySlug($categories[$thread['category_id']]['slug']);
    	if (!$category) { cmsCore::error404(); }

    	//Модератор?
    	$is_moderator = $this->isModerator($user->id, $category['moderators']);

    	if($thread['user_id'] != $user->id && !$user->is_admin && !$is_moderator) { cmsCore::error404(); }

		$this->model->deleteForumThread($id);

		//Удалить подписки темы
		$this->model->deleteSubsByThreadId($id);

		cmsEventsManager::hook('topic_thread_before_delete', $thread);

		//Обновление кол-ва тем в категории
		$this->model->updateForumTopicCount($thread['category_id']);

		//Обновление кол-ва сообщений в категории
		$this->model->updateForumPostCount($thread['category_id']);

		//Обновление последнего сообщения в категории
		$this->model->updateLastMessageInCategory($thread['category_id']);
        
		cmsUser::addSessionMessage(LANG_TOPIC_THREAD_DELETED, 'success');

		$this->redirectToAction($thread['category_slug']);

    }

}
