<?php

class actionTopicCategoryAdd extends cmsAction {

    public function run($id=0){
		
		$errors = false;
		
		$form = $this->getForm('category', array($id));
		
		$is_submitted = $this->request->has('submit');
		
		$item = false;
        
		if ($is_submitted){
			
            $item = $form->parse($this->request, $is_submitted);

            if (empty($item['slug'])){
            	$item['slug'] = str_replace('/', '', $item['title']);
				$item['slug'] = lang_slug($item['slug']);
			} else {
				$item['slug'] = str_replace('/', '', $item['slug']);
				$item['slug'] = lang_slug($item['slug']);
			}
			
			$errors = $form->validate($this, $item);
			
			if (!$errors){
				
				$category_id = $this->model->addForumCategory($item);

				$this->model->updatePermsGroupView($category_id);
            
				cmsUser::addSessionMessage(LANG_TOPIC_CATEGORY_INSERT, 'success');

				if(isset($_GET['back'])){
					$this->redirect($_GET['back']);
				}

				$this->redirectToAction('category', $category_id);
				
			}
			
			if ($errors){
				
				cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
				
			}
        
		}
		
        return cmsTemplate::getInstance()->render('backend/category_add', array(
            'form' => $form,
			'errors' => $errors,
			'item' => $item
        ));

    }

}
