<?php

class actionTopicCategoryEdit extends cmsAction {

    public function run($id){
		
		$errors = false;
		
		$form = $this->getForm('category');
		
		$is_submitted = $this->request->has('submit');
		
		$item = $old = $this->model->getForumCategory($id);
        
		if ($is_submitted){
			
            $item = $form->parse($this->request, $is_submitted);

            if (empty($item['slug'])){
            	$item['slug'] = str_replace('/', '', $item['title']);
				$item['slug'] = lang_slug($item['slug']);
			} else {
				$item['slug'] = str_replace('/', '', $item['slug']);
				$item['slug'] = lang_slug($item['slug']);
			}

			if($item['slug'] == $old['slug']) {
				unset($item['slug']);
			}
			
			$errors = $form->validate($this, $item);
			
			if (!$errors){
				
				$this->model->updateForumCategory($id, $item);

				$this->model->updatePermsGroupView($id);

				$updated_item = $this->model->getForumCategory($id);

				cmsUser::addSessionMessage(LANG_TOPIC_CATEGORY_UPDATED, 'success');

				if(isset($_GET['back'])){
					$back = $_GET['back'];
					if($old['slug'] != $updated_item['slug']){
						$back = href_to('topic', $updated_item['slug']);
					}
					$this->redirect($back);
				}
            
				$this->redirectToAction('category', $updated_item['parent_id']);
				
			}
			
			if ($errors){
				
				cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
				
			}
        
		}
		
        return cmsTemplate::getInstance()->render('backend/category_edit', array(
            'form' => $form,
			'errors' => $errors,
			'item' => $item
        ));

    }

}
