<?php

class actionTopicRankEdit extends cmsAction {

    public function run($id){
		
		$errors = false;
		
		$form = $this->getForm('rank');
		
		$is_submitted = $this->request->has('submit');
		
		$item = $old = $this->model->getRank($id);
        
		if ($is_submitted){
			
            $item = $form->parse($this->request, $is_submitted);

            $errors = $form->validate($this, $item);
			
			if (!$errors){

				$this->model->updateRank($id, $item);

				cmsUser::addSessionMessage(LANG_TOPIC_RANK_UPDATED, 'success');

				$this->redirectToAction('rank');
				
			}
			
			if ($errors){
				
				cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
				
			}
        
		}
		
        return cmsTemplate::getInstance()->render('backend/rank_edit', array(
            'form' => $form,
			'errors' => $errors,
			'item' => $item
        ));

    }

}
