<?php

class formTopicOptions extends cmsForm {

	public $is_tabbed = true;
	
	public function init(){

		$controller_alias = cmsCore::getControllerAliasByName('topic');

		return array(
		
			array(
				'type' => 'fieldset',
				'title' => LANG_TOPIC_DEFAULT_SETTINGS,
				'childs' => array(

					new fieldList('redactor', array(
						'title' => LANG_PARSER_HTML_EDITOR,
						'hint' => LANG_TOPIC_DEFAULT_EDITOR,
						'default' => 'markitup',
						'generator' => function($item){
							$items = array();
							$editors = cmsCore::getWysiwygs();
							foreach($editors as $editor){ $items[$editor] = $editor; }
							return $items;
						}
					)),
					
				)
				
			),

			array(
				'type' => 'fieldset',
				'title' => LANG_TOPIC_THREAD_LIST,
				'childs' => array(

					new fieldNumber('topic_perpage', array(
						'title' => LANG_TOPIC_THREAD_COUNT_ON_PAGE,
						'default' => 25,
						'rules' => array(
                            array('required')
                        )
					)),

					new fieldCheckbox('category_rss', array(
						'title' => LANG_TOPIC_ENABLE_RSS_FOR_THREADS,
					)),

					new fieldString('thread_url_pattern', array(
                        'title' => LANG_TOPIC_THREAD_URL_PATTERN,
                        'options'=>array(
                            'max_length'=> 255
                        ),
                        'prefix' => '/' . ($controller_alias ? $controller_alias : 'topic') . '/',
                        'suffix' => '.html',
                        'default' => '{id}-{title}',
                        'hint' => LANG_TOPIC_THREAD_URL_PATTERN_HINT
                    )),
					
				)
				
			),

			array(
				'type' => 'fieldset',
				'title' => LANG_TOPIC_POST_LIST,
				'childs' => array(

					new fieldNumber('post_perpage', array(
						'title' => LANG_TOPIC_POST_COUNT_ON_PAGE,
						'default' => 25,
						'rules' => array(
                            array('required')
                        )
					)),

					new fieldCheckbox('thread_rss', array(
						'title' => LANG_TOPIC_ENABLE_RSS_FOR_POSTS,
					)),

					new fieldCheckbox('hash_tag', array(
						'title' => LANG_TOPIC_ENABLE_HASH_TAG,
						'default' => true
					)),

					new fieldCheckbox('html_filter', array(
						'title' => LANG_TOPIC_ENABLE_HTML_FILTER,
						'default' => true
					)),

					new fieldCheckbox('is_rating', array(
						'title' => LANG_TOPIC_ENABLE_RATING,
						'default' => true
					)),

					new fieldListGroups('show_user_groups', array(
		                'title' => LANG_TOPIC_SELECT_VIEW_GROUPS
		            )),
					
				)
				
			),

			array(
				'type' => 'fieldset',
				'title' => LANG_TOPIC_TITLES,
				'childs' => array(

					new fieldString('main_title', array(
						'title' => LANG_TOPIC_TITLE_MAIN,
						'default' => LANG_TOPIC_TITLE_MAIN_DEFAULT,
						'rules' => array(
                            array('required')
                        )
					)),
					
					new fieldString('thread_names', array(
						'title' => LANG_TOPIC_TITLES_FOR_THREADS,
						'default' => LANG_TOPIC_TITLES_FOR_THREADS_DEFAULT,
						'hint' => LANG_TOPIC_TITLES_FOR_THREADS_HINT,
						'rules' => array(
                            array('required')
                        )
					)),

					new fieldString('post_names', array(
						'title' => LANG_TOPIC_TITLES_FOR_POSTS,
						'default' => LANG_TOPIC_TITLES_FOR_POSTS_DEFAULT,
						'hint' => LANG_TOPIC_TITLES_FOR_POSTS_HINT,
						'rules' => array(
                            array('required')
                        )
					)),

					new fieldString('threads_list_title', array(
						'title' => LANG_TOPIC_TITLE_THREADS_LIST,
						'default' => LANG_TOPIC_TITLE_THREADS_LIST_DEFAULT,
						'rules' => array(
                            array('required')
                        )
					)),
					
				)
				
			),

			array(
				'type' => 'fieldset',
				'title' => LANG_TOPIC_SEO,
				'childs' => array(
					
					new fieldString('seo_title', array(
						'title' => LANG_TOPIC_SEO_TITLE_MAIN,
						'default' => LANG_TOPIC_TITLE_MAIN_DEFAULT,
						'rules' => array(
                            array('required')
                        )
					)),
					
					new fieldString('seo_description', array(
						'title' => LANG_TOPIC_SEO_DESC_MAIN,
					)),
					
				)
				
			),
			
		);
		
	}
	
}
