<?php

class formTopicMessage extends cmsForm {

	public $is_tabbed = true;
	
	public function init($category=false){

		$options = cmsCore::getController('topic')->options;
		
		return array(
		
			array(
				'type' => 'fieldset',
				'title' => LANG_TOPIC_TEXT,
				'childs' => array(
				
					new fieldString('title', array(
						'title' => LANG_TOPIC_THREAD_TITLE,
						'rules' => array(
							array('required'),
						),
					)),

					new fieldList('sticker', array(
                        'title' => LANG_TOPIC_STICKER,
                        'generator' => function() use ($category){
							$items = array();
							if (empty($category['stickers'])) { return $items; }
							$items[null] = LANG_TOPIC_NO;
                            $stickers = string_parse_list($category['stickers']);
							foreach($stickers as $key=>$item){
								if (!isset($item['id'])) { $item['id'] = $key; }
                                $items[$item['id']] = $item['value'];
                            }
                            return $items;
                        }
                    )),
					
					new fieldHtml('content', array(
						'title' => LANG_TOPIC_POST_TEXT,
						'rules' => array(
							array('required'),
						),
						'options' => array(
							'editor' => $options['redactor'],
						),
					)),
 					
				)
				
			),
			
		);
		
	}
	
}
