<?php

class onTopicRssFeedList extends cmsAction {

	public function run($feed){

		$type = $this->request->get('type', false);
        $id = $this->request->get('id', false);
		
		if ($type == 'category') {

			if (empty($this->options['category_rss'])) { cmsCore::error404(); }

			$cat = $this->model->getForumCategory($id);

			if (!$cat) { cmsCore::error404(); }
			
			$category['title'] = $cat['title'];
			$author['nickname'] = $this->cms_config->get('sitename');

			$items = $this->model->limit($feed['limit'])->orderBy('id', 'desc')->getForumThreads($id);

			if ($items) {

				$feed['items'] = $items;

				foreach ($items as $key => $value) {
					
					$feed['items'][$key]['page_url'] = href_to_abs('topic', $value['slug']);

				}

			}
			
		} elseif ($type == 'thread') {

			if (empty($this->options['thread_rss'])) { cmsCore::error404(); }

			$thread = $this->model->getForumThreadById($id);

			if (!$thread) { cmsCore::error404(); }
			
			$category['title'] = $thread['title'];
			$author['nickname'] = $thread['user_nickname'];

			$items = $this->model->limit($feed['limit'])->orderBy('id', 'desc')->filterEqual('thread_id', $id)->getForumThreads($thread['category_id'], 'post');

			if ($items) {

				$feed['items'] = $items;

				foreach ($items as $key => $value) {
					
					$feed['items'][$key]['page_url'] = href_to_abs('topic', 'thread', $key);

				}

			}
			
		}

        return array($feed, $category, $author);

    }

}
