<?php

class widgetTopicThreads extends cmsWidget {

    public function run(){

    	cmsCore::loadControllerLanguage('topic');

        $limit = $this->getOption('limit', 10);
		$category = $this->getOption('category', false);
		$sort_by = $this->getOption('sort_by', false);
		$filter = $this->getOption('filter', false);

        $model = cmsCore::getModel('topic');
		
		$model->limit($limit);
		
		if($sort_by == 'update'){
			$model->orderBy('date_update', 'desc');
		} elseif($sort_by == 'date') {
			$model->orderBy('date_pub', 'desc');
		} elseif($sort_by == 'hits_count') {
			$model->orderBy('hits_count', 'desc');
		} elseif($sort_by == 'post_counter') {
			$model->orderBy('post_counter', 'desc');
		}

		if($filter == 'vip'){
			$model->filterNotNull('is_vip');
		} elseif($filter == 'fixed') {
			$model->filterNotNull('fixed_top');
		} elseif($filter == 'closed') {
			$model->filterNotNull('is_closed');
		} elseif($filter == 'opened') {
			$model->filterIsNull('is_closed');
		}

		if($category){
			$model->filterEqual('category_id', $category);
		}

    	$items = $model->getAllThreads();

    	if (!$items) { return false; }

		return array(
			'items' => $items,
			'sort_by' => $sort_by
        );

    }

}
