<?php

	$this->setPageTitle(LANG_TOPIC_MY_SUBS, $profile['nickname']);

    $this->addBreadcrumb( LANG_USERS, href_to( 'users' ) );
	$this->addBreadcrumb( $profile['nickname'], href_to( 'users', $profile['id'] ) );
	$this->addBreadcrumb(LANG_TOPIC_MY_SUBS);

    $this->addControllerCSS('styles', 'topic');
    $this->addControllerCSS('font-awesome.min', 'topic');

    $user = cmsUser::getInstance();

?>

<div class="content_datasets">
	<ul class="pills-menu">
		<li class="forums">
			<a href="<?php echo $this->href_to(''); ?>"><?php echo LANG_TOPIC_ALL_FORUMS; ?></a>
		</li>
		<li class="all">
			<a href="<?php echo href_to('topic', 'threads'); ?>"><?php echo LANG_TOPIC_ALL_THREADS; ?></a>
		</li>
		<li class="my">
			<a href="<?php echo href_to('users', $profile['id'], 'topic_threads'); ?>"><?php echo LANG_TOPIC_MY_THREADS; ?></a>
		</li>
		<li class="active subs">
			<div><?php echo LANG_TOPIC_MY_SUBS; ?></div>
		</li>
	</ul>
</div>

<?php if($items) { ?>

	<?php if (isset($items['threads'])) { ?>

		<h2><?php echo LANG_TOPIC_CATEGORIES; ?></h2>

		<?php foreach ($items['threads'] as $key => $value) { ?>
			<div class="profile_subs_list_item">
				<a href="<?php echo $this->href_to($value['category_slug']); ?>">
					<i class="fa fa-comments-o" aria-hidden="true"></i> 
					<?php echo $value['category_title']; ?>
				</a>
				<?php if ($user->id == $profile['id']) { ?>
					<a href="<?php echo $this->href_to('subscriber', array(1, $value['category_id'])); ?>">
						<i class="fa fa-eye-slash" aria-hidden="true"></i> 
						<?php echo LANG_TOPIC_GET_UNSUBS_THREAD; ?>
					</a>
				<?php } ?>
			</div>
		<?php } ?>

	<?php } ?>

	<?php if (isset($items['posts'])) { ?>

		<h2><?php echo LANG_TOPIC_THREADS; ?></h2>

		<?php foreach ($items['posts'] as $key => $value) { ?>
			<div class="profile_subs_list_item">
				<a href="<?php echo $this->href_to($value['thread_slug'].'.html'); ?>">
					<i class="fa fa-comments-o" aria-hidden="true"></i> 
					<?php echo $value['thread_title']; ?>
				</a>
				<?php if ($user->id == $profile['id']) { ?>
					<a href="<?php echo $this->href_to('subscriber', array(2, $value['thread_id'])); ?>">
						<i class="fa fa-eye-slash" aria-hidden="true"></i> 
						<?php echo LANG_TOPIC_GET_UNSUBS_THREAD; ?>
					</a>
				<?php } ?>
			</div>
		<?php } ?>

	<?php } ?>

<?php } else { ?>

	<p><?php echo LANG_TOPIC_NO_SUBS; ?></p>

<?php } ?>